Summary: A Gnome based SIP/H323 teleconferencing application
Name: ekiga
Version: 2.0.12
Release: 2%{?dist}
URL: http://www.ekiga.org/
Source0: http://download.gnome.org/sources/ekiga/2.0/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: pwlib >= 1.10.10
Requires: opal >= 2.2.11
Requires: GConf2 >= 1.2.1
Requires: libgnomeui >= 2.0
Requires: libgnome >= 2.0
Requires: avahi >= 0.6.9
Requires: avahi-glib >= 0.6.9
Requires: evolution-data-server
Requires(pre):    scrollkeeper
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: GConf2-devel >= 1.2.1
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libgnome-devel >= 2.0
BuildRequires: avahi-devel >= 0.6.9
BuildRequires: avahi-glib-devel >= 0.6.9
BuildRequires: openldap-devel
BuildRequires: pwlib-devel >= 1.10.10
BuildRequires: opal-devel >= 2.2.11
BuildRequires: libxml2-devel >= 2.5.0
BuildRequires: SDL-devel
BuildRequires: intltool >= 0.22
BuildRequires: pkgconfig
BuildRequires: scrollkeeper
BuildRequires: alsa-lib-devel
BuildRequires: gettext
BuildRequires: evolution-data-server-devel
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
BuildRequires: dbus-devel
Requires(post): GConf2, scrollkeeper
Requires(postun): scrollkeeper
Obsoletes: gnomemeeting <= 1.2.3
Provides: gnomemeeting

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses the standard SIP and H323 protocols.

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1 -fPIC"
%configure --disable-scrollkeeper  --enable-dbus
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor gnome \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --copy-generic-name-to-name \
  $RPM_BUILD_ROOT%{_datadir}/applications/ekiga.desktop

%find_lang ekiga --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null 2>&1
gconftool-2 --shutdown
(yes | ekiga-config-tool --install-schemas) > /dev/null 2>&1
scrollkeeper-update

%postun -p /usr/bin/scrollkeeper-update

%files -f ekiga.lang
%defattr(-,root,root)
%doc COPYING AUTHORS FAQ NEWS
%{_bindir}/ekiga
%{_bindir}/ekiga-helper
%{_bindir}/ekiga-config-tool
%{_libdir}/bonobo/servers/ekiga.server
%{_datadir}/dbus-1/services/net.ekiga.*.service
%{_datadir}/applications/gnome-ekiga.desktop
%{_datadir}/gnome/help/ekiga
%{_datadir}/omf/ekiga
%{_datadir}/pixmaps/*
%{_datadir}/man/*/*
%{_datadir}/sounds/ekiga
%{_sysconfdir}/gconf/schemas/ekiga.schemas

%changelog
* Mon May 12 2008 Paul W. Frields <stickster@gmail.com> - 2.0.12-2
- Rebuild against new opal (#441202)

* Thu Mar 13 2008 Daniel Veillard <veillard@redhat.com> - 2.0.12-1.fc9
- Upgrade to ekiga-2.0.12

* Thu Feb 28 2008 Daniel Veillard <veillard@redhat.com> - 2.0.11-4
- rebuild after applying some fo the cleanups of #160727

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.11-3
- Autorebuild for GCC 4.3

* Thu Dec 13 2007 Matěj Cepl <mcepl@redhat.com> 2.0.11-2
- compile with the D-Bus support
- Making rpmlint silent.

* Tue Sep 18 2007 Daniel Veillard <veillard@redhat.com> - 2.0.11-1
- Upgrade to ekiga-2.0.11

* Sun Apr 15 2007 Daniel Veillard <veillard@redhat.com> - 2.0.9-1
- Upgrade to ekiga-2.0.9

* Mon Mar 12 2007 Daniel Veillard <veillard@redhat.com> - 2.0.7-1
- Upgrade to ekiga-2.0.7

* Mon Feb 19 2007 Jeremy Katz <katzj@redhat.com> - 2.0.5-2
- rebuild 

* Wed Feb 14 2007 Daniel Veillard <veillard@redhat.com> - 2.0.5-1
- Upgrade to ekiga-2.0.5

* Mon Jan 22 2007 Daniel Veillard <veillard@redhat.com> - 2.0.4-1
- Upgrade to ekiga-2.0.4

* Thu Nov  2 2006 Daniel Veillard <veillard@redhat.com> - 2.0.3-3
- Resolves: rhbz#201535
- fixes build-requires for opal-devel and pwlib-devel

* Sat Oct 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.3-2
- Rebuild against evolution-data-server 1.9

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.3-1
- Update to 2.0.3

* Sat Sep 30 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.2-7
- Make the status icon work in transparent panels

* Thu Aug 31 2006 Matthias Clasen <mclasen@redhat.com> - 2.0.2-6
- Fix translator credits (197871)

* Mon Aug  7 2006 Matthew Barnes <mbarnes@redhat.com> - 2.0.2-5
- Rebuild against evolution-data-server-1.7.91

* Sat Aug  5 2006 Caolan McNamara <caolanm@redhat.com> - 2.0.2-4
- rebuild against new e-d-s

* Tue Aug  1 2006 Daniel Veillard <veillard@redhat.com> - 2.0.2-3
- rebuilt for #200960

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.2-1.1
- rebuild

* Wed May 31 2006 Daniel Veillard <veillard@redhat.com> - 2.0.2-1
- new release of ekiga 2.0.2
- activating Zeroconf support though avahi

* Mon May 22 2006 Jesse Keating <jkeating@redhat.com> - 2.0.1-3
- Fix BuildRequires and Requires(post), Requires(postun)

* Wed Mar 15 2006 Daniel Veillard <veillard@redhat.com> - 2.0.1-2
- run 'ekiga-config-tool --install-schemas' in %%post, c.f. #178929

* Tue Mar 14 2006 Daniel Veillard <veillard@redhat.com> - 2.0.1-1
- last minute bug rerelease 2.0.1

* Mon Mar 13 2006 Daniel Veillard <veillard@redhat.com> - 2.0.0-1
- final release of 2.0.0

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 1.99.1-2
- Buildrequires: gnome-doc-utils

* Mon Feb 13 2006 Daniel Veillard <veillard@redhat.com> - 1.99.1-1
- new beta release issued

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.99.0-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.99.0-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Daniel Veillard <veillard@redhat.com> - 1.99.0-3
- Rebuilt following a libedataserver revision

* Fri Jan 27 2006 Matthias Clasen <mclasen@redhat.com> - 1.99.0-2
- Use the upstream .desktop file

* Tue Jan 24 2006 Daniel Veillard <veillard@redhat.com> - 1.99.0-1
- initial version based on the 1.99.0 beta and gnomemeeting spec file.
